/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

#pragma once

#include "Gaudi/Algorithm.h"

/// Basic Packer class for common code
class PackerBase {
public:
  PackerBase( Gaudi::Algorithm const* p ) : m_parent( p ) {}
  [[nodiscard]] inline auto& parent() const { return *m_parent; }

private:
  Gaudi::Algorithm const* m_parent = nullptr;
};
