###############################################################################
# (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
from Configurables import IOTest
from GaudiConf.IOHelper import IOHelper

IOTest(EvtMax=5, LoadAll=True, OdinLocation="DAQ/ODIN")

from Configurables import ApplicationMgr, createODIN, LHCb__UnpackRawEvent

unpack = LHCb__UnpackRawEvent(
    BankTypes=['ODIN'], RawBankLocations=["DAQ/RawBanks/ODIN"])
odin = createODIN(RawBanks="DAQ/RawBanks/ODIN")
ApplicationMgr().TopAlg += [unpack, odin]

ioh = IOHelper('ROOT')
ioh.setupServices()
ioh.inputFiles(['PFN:Reco12-Stripping17.dst'])
