/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef LHCBMATH_BERNSTEIN_H
#define LHCBMATH_BERNSTEIN_H 1
// ============================================================================
// Include files
// ============================================================================
#include "LHCbMath/Bernstein1D.h"
#include "LHCbMath/Bernstein2D.h"
#include "LHCbMath/Bernstein3D.h"
#include "LHCbMath/BernsteinPoly.h"
// ============================================================================
/** @file LHCbMath/Bernstein.h
 *  Set of useful math-functions, related to Bernstein polynomials
 *
 *  @see http://en.wikipedia.org/wiki/Bernstein_polynomial
 *  @author Vanya BELYAEV Ivan.Belyaev@itep.ru
 *  @date 2010-04-19
 *
 */
// ============================================================================
#endif // LHCBMATH_BERNSTEIN_H
