/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef LOKI_LOKIMC_H
#define LOKI_LOKIMC_H 1
// ============================================================================
// Include files
// ============================================================================
// LoKiMC
// ============================================================================
#include "LoKi/BuildMCTrees.h"
#include "LoKi/MCAlgs.h"
#include "LoKi/MCChild.h"
#include "LoKi/MCDecayVertex.h"
#include "LoKi/MCExtract.h"
#include "LoKi/MCFinder.h"
#include "LoKi/MCFinderObj.h"
#include "LoKi/MCKinematics.h"
#include "LoKi/MCPIDOperators.h"
#include "LoKi/MCParticleCuts.h"
#include "LoKi/MCParticles.h"
#include "LoKi/MCSources.h"
#include "LoKi/MCTrees.h"
#include "LoKi/MCTypes.h"
#include "LoKi/MCVertexCuts.h"
#include "LoKi/MCVertices.h"
#include "LoKi/PrintMCDecay.h"
// ============================================================================
#include "LoKi/IMCHybridFactory.h"
// ============================================================================
/** @file
 *
 *  Declaration file for the package Phys/LoKiMC
 *
 *  This file is a part of LoKi project -
 *    "C++ ToolKit  for Smart and Friendly Physics Analysis"
 *
 *  The package has been designed with the kind help from
 *  Galina PAKHLOVA and Sergey BARSUK.  Many bright ideas,
 *  contributions and advices from G.Raven, J.van Tilburg,
 *  A.Golutvin, P.Koppenburg have been used in the design.
 *
 *  @author Vanya BELYAEV ibelyaev@physics.syr.edu
 *  @date 2001-01-23
 */
// ============================================================================
// The END
// ============================================================================
#endif // LOKI_LOKIMC_H
