2017-07-04 LHCbSys v42r5
---
This version uses Gaudi v28r2 and LCG_88 with ROOT 6.08.06.
<p>
This version is released on `2017-patches` branch. 

## Change to release notes format
**As from this release, the file `LHCbSys/doc/release.notes` is frozen**
<br>Instead, there will be a file per release in the new `ReleaseNotes` directory. e.g. this file is called `ReleaseNotes/v42r5.md`

## New or changed functionality
**[MR !757] Support automatic Turbo unpacking in streamed data**  
meaning data with a `RootInTES` like `/Event/<stream>/Turbo`, which is what the data now looks like in 2017.

**[MR !728] Add packers for `CaloAdc` and `CaloDigit` objects**

**[MR !747] Add `KillSourceIDMask` to `bankKiller`**  
Until now we could only filter on an exact `sourceID`. This is not sufficient to kill all `HltSelReports` banks in case there are multiple banks. Now there is an AND mask, and a bank is killed when `KillSourceID != 0 && (KillSourceIDMask & sourceID == KillSourceID)`. The default behaviour is unchanged.

**[MR !748] Bank killer based on line requests and decisions**  
- Add a trivial tool `HDRFilterTool` that implements the functionality of `HDRFilter` in a tool.  
- Add a new algorithm `DecisionBankKiller` that given a set of lines (via the tool above) and a service that keeps track of line requests, leaves only the union of banks requested by fired lines.  
- This MR implements the functionality needed for the selective raw bank persistence in TURBO, see LBHLT-164.

**[MR !741] Add support for overlays on Git CondDB**


### Bug fixes
**[MR !753] Fix memory leak in `CaloHypo`**  
Fixes the memory growth observed in the Tesla validation production: https://lblogbook.cern.ch/Operations/27129

**[MR !752] Bug fixes for `ReportConvertTool`, potentially solving Stripping/Tesla segfaults**  
Fixes the decoding of `ProtoParticle` and `MuonPID` `HltObjectSummaries`  
Fixes also some unprotected `debug()` and untested `StatusCode`

**[MR !742] Fix Upgrade tag names handling in CondDB configurable**  
Do not prepend `upgrade/` to tags if not needed

**[MR !736] Correctly protect debug messages in `GitEntityResolver`**

**[MR !730] Fixes for Git CondDB**   
- Make the code forwards & backwards compatible with gaudi/Gaudi!290 (same as MR !665)  
- Fixed configuration backward compatibility with COOL  
- Protected `debug()` messages

**[MR !723] Fix calculation of number of banks in `HltPackedDataWriter`**

**[MR !719] Fix Velo decoder crash on missing bank**  
Occurs when trying to decode TAE data when there is none


### Monitoring changes

**[MR !731] Print out used CondDB tags even if global output level is not INFO**

### Changes to tests

**[MR !732] Increase slightly memory threshold of `fsralgs.mergesmallfiles` test failure**  
- Move to Git CondDB had pushed the test over threshold  
- Also, suppress compilation warnings from Boost headers

**[MR !711] Improve forwards and backwards compatibility of `TurboConf`**  
Overhaul `TurboConf` so that is will be easier to maintain in 2017 and 2018, whilst preserving backwards compatibility with 2015 and 2016.