2017-07-11 LHCbSys v43r0
===
This version uses Gaudi v28r2 and LCG_82 with ROOT 6.08.06.

This version is released on `master` branch. The previous release on `master` branch  was `LHCb v42r3`. This release contains all the changes that were made in `LHCb v42r4` and `LHCb v42r5` (released on `2017-patches` branch, see corresponding release notes), as well as the additional changes described in this file.

## Change to compiler support
**As from this release, support for gcc49 is dropped**  
This means that C++14 is now fully supported

## New or changed functionality
**[MR !622] Scifi: New event model**  
The changes in the event model correspond to JIRA tasks: LHCBSCIFI-79, LHCBSCIFI-80  
The default simulation is switched to the detailed digitisation. This is about 2 times faster that the current improved digitisation.

**[MR !766] Added missing implementation of function `DeFTLayer::quarters()`**

**[MR !638] DetDescChecks: Added material budget scan script**  
The script `matbud.py` generates maps in (x, y) by integration of one over radiation length and one over interaction length for a given interval in the z dimension

**[MR !698] CondDBBrowser updates**  
- Use Qt5 by default  
- Small fixes to absorb differences between PyQt4 and PyQt5  
- Add support for Git CondDB (read-only), see LHCBPS-1713  
- Closes LHCBPS-1502  

**[MR !761] Modifications to RunChangeHandler to force the name change of conditions**  
- New option to force updating the conditions during the alignment iterations. Since the alignment xmls don’t change name during the job iteration, the default behaviour of RunChangeHandler would not allow to load the updated conditions from previous iteration.  
- A test for this new `ForceUpdate` option was added

**[MR !620] Relations: remove TO pointer value sorting from WEntry operator<**  
Addresses the issue with the Relations sorting that results in potentially unstable behaviour, by removing the sorting of the TO relations ranges based on TO pointer value.

## Code optimisations
**[MR !618] RICH MaPMT Support Improvements**

**[MR !695] Allow to compile VectorClass on avx512**  
**[MR !623] Update VectorClass to 1.28**


## Monitoring changes
**[MR !756] Add crate/slot id in `L0cte` verbose printout**

**[MR !656] `DataCopy.cpp`: in case of failure make the error message more informative**


## Code modernisation
**[MR !710] RICH - Prefer pragma once to ifdefs**  
**[MR !691] RichUtils - Streamline TrackSegment**  
**[MR !668] Rich remove pointless moves**  
**[MR !631] Access the Rich PD panel as a const pointer**

**[MR !676] FTDAQ: Merged functional changes from future into master**  
See LHCBSCIFI-83

**[MR !673] Modernize STDAQ / STTELL1BoardErrorBank / STDAQDefinitions**  
**[MR !750] Modernize Calo**  
**[MR !699] Modernize DetDesc**  
**[MR !773, !764, !758, !743, !726] Modernize LoKiCore**  
**[MR !740, !729, !646] Modernize LHCbMath**  
**[MR !655] Modernize PartProp**  
**[MR !651] Modernize LoKiMC**  
**[MR !650] Modernize LoKiGen**  
**[MR !649] Modernize LoKiHlt**  
**[MR !644] Modernize HltServices**  
**[MR !657] Modernize SimComponents**  
**[MR !658] Modernize FSRAlgs**  
**[MR !663] Modernize OTDAQ**  
**[MR !659] Modernize MCCaloDataFunctor**  
**[MR !654] Modernize LHCbKernel**  
**[MR !653] Modernize DetDescCnv**  
**[MR !648] Modernize LHCbAlgs**  
**[MR !662] Modernize DetCond**  
**[MR !652] Modernize MuonDet**  
**[MR !647, !712] Modernize FileStager**  
**[MR !661] GaudiObjDesc: replace BOOST_FOREACH with range-based for loop**

**[MR !665] Make the code forwards & backwards compatible with gaudi/Gaudi!290**

## Bug fixes and cleanups
**[MR !737] Remove unused public headers**  
**[MR !734] Fix compiler errors in uncompiled header files**  
**[MR !733] Fix compiler warnings in uncompiled header files**  
**[MR !721] Avoid calling `gaudi_install_headers` twice**  

**[MR !755] `L0DURawBankMonitor` was resetting the labels for some histo at each event. Protection added**


## Changes to tests
**[MR !763] Implemented complete checking of counters in logs**  
Up to recently, counters were simply ignored in the log of the tests (except their header and thus the number of them). This commit puts in place systematic checking of all counters, with a default sensibility of 10<sup>-4</sup>. So differences are allowed as long as they are small enough compared to the value.

**[MR !771] Increase VMEM test failure threshold to 1.4GB, to avoid false alarms**
