

2018-12-07 LHCb v50r2
===

This version uses Gaudi v30r5 and LCG_94 with ROOT 6.14.04.
<p>
This version is released on `master` branch.

Built relative to LHCb v50r1, with the following changes:

### New features

- New scheduler in LHCb, !1422, !1507, !1517, !1575, !1578, !1591, !1612 (@nnolte)   
  !1422 is a copy of https://gitlab.cern.ch/gaudi/Gaudi/merge_requests/698. It introduces an inter-event concurrent scheduler with static control flow resolution, designed to minimize scheduling overhead in HLT while providing the necessary flexibility to properly define Trigger Lines.    
  Other MRs contain further improvements and a test   
  Documentation is evolving at https://gitlab.cern.ch/egovorko/scheduler-paper  


- Add ASSUME, deprecate LHCb::make_array and LHCb::invoke, !1566 (@graven)   
  `ASSUME( expression )` informs the compiler that `expression` can be assumed to be true. When compiling with `NDEBUG` defined, `expression` is put inside an `assert`, which verifies that indeed it evaluates to `true`.

- Add SynchronizedValue, !1564 (@graven)   
  * SynchronizedValue<T> hides access to T behind a with_lock function which accepts a lambda (which takes either T& or T const& as argument) as argument.  
  * SynchronizedValue<T>::with_lock first locks an internal mutex, and invokes the lambda with the contained T  
  * One can specify the mutex type, and the lock types as template arguments  
  * In case the lambda takes a T const&, with_lock uses a readLock, and in case it takes a T&, it uses a writeLock (which may actually be the same type as the readLock)  
  * update some code which was using a similar class to use SynchronizedValue

- Add PolymorphicValue type, !1562 (@graven)   
  * PolymorphicValue wraps a (unique) pointer to a base class in a type which has value semantics -- e.g. can be copied and assigned -- provided the base class (interface) provides a 'clone()' function.  Copy and assignment will use 'clone' to create a copy of the underlying object  
  * a trivial, intrusive version of the more generic 'non-intrusive' https://github.com/jbcoe/polymorphic_value

- Add Track v2, !1533, !1589 (@sstahl)   
  Adds a new Track object which does not inherit from `KeyedObject` and is not generated via GOD. The other difference is that it has a vector of `States` rather than pointer to `States`.  
    
- Add RecVertex v2 that uses Tracks v2, !1610 (@sponce)   

- GaudiObjDesc:
  - Add the possibility to specify noexcept in constructors and member methods, !1500 (@sstahl)
  - Enable classes inside generated namespaces, !1426 (@roiser)   

- Add copyright statements, !1557, !1572, !1576, !1645 (@clemenci) [LBCORE-1619]  

- Add new sanitizer and gcc8 platforms to PlatformInfo, !1510 (@jonrob)   

- Add a new Gaudi algorithm to persist genFSR information in Json format, !1405 (@dfazzini)    

### Enhancements

- Update DDDB default global tags to follow lhcb-conddb/DDDB!16, !1639 (@cattanem)   
  Updates particle properties to PDG 2018  
    
  dddb-20180726 for 2010  
  dddb-20180726-1 for 2011  
  dddb-20180726-2 for 2012 and 2013  
  dddb-20180726-3 for 2015, 2016, 2017 and 2018

  Includes also updates discussed in LHCBGAUSS-1224 (new description of M1 and speedup in RICH simulation)  

- Update default LHCbCond tag for 2018 to follow lhcb-conddb/LHCBCOND!29, !1658 (@cattanem)   
  Reduce lumi thresholds to minimum for 2018 heavy ions. cond-20181204-1   

- Avoid the need for type punning in Track::nodes(), !1579 (@graven)   

- Version Track object, revert changes in TDR, !1438 (@sstahl)   
  - Add `inline namespace v1` to `Track.xml` renamed to `Track_v1.xml`.      
  - Add additional namespace `Event`, so that the full namespace is `LHCb::Event::v1::Track`(backwards compatible).      
  - Add `Track.h` in `TrackEvent/TrackEvent/` which includes `Track_v1.h`.      
  - Forward declarations in many places need to be changed to `include "Event/Track.h"`.  
  Addresses https://gitlab.cern.ch/lhcb/LHCb/issues/7#note_1755867  
  Replaces https://gitlab.cern.ch/lhcb/LHCb/merge_requests/1424  


- MultiIndexedContainer:
  - re-implement getUniqueDetectorElementId, !1508 (@graven)   
  - add subSize, !1476 (@graven)   

- Use new counters, !1550, !1560 (@sponce)   

- LoKiCore:
  - Kinematics.h/.cpp: fixes to `deltaM2` (better treatment of low-momenta) (@ibelyaev), !1628  
  Cherry picked from lhcb/LHCb!1627 on `run2-patches`
  - Add LHCb.ParticleID.name/absname & LHCb.Particle.absname methods (@ibelyaev), !1609   
  Cherry-picked from lhcb/LHCb!1605 on `2018-patches`
  - Use subclasses instead of patching context-dependent functors, !1528 (@rmatev)   
    This is a new approach of binding context to functors, which has the following advantages compared to the current version:  
    - The scope of each hybrid code evaluation is separate (use a newly created python dictionary each time, given as globals and locals)  
    - There is no need for "undecorating", as the original functor classes are not changed. The context-bound subclasses are destroyed automatically once the globals dict is destroyed.  
    - The original implementation in lhcb/LHCb!1441 did not handle properly functors inheriting from other functors, which I noticed while adapting the HLT code.  
    
    In addition, added caching of the expensive reflection that determine if a functor needs to be contextualized. This improves speed of initialization (to about original level).  

- LoKiCore&LoKiNumbers: add new symbol HASDATA, !1542 (@ibelyaev)   
   - `TES.h`/`.cpp`  
      - add new  symbol `HASDATA` - `DataHandle`-based twin for `EXISTS`  
      - change behaviour of `SIZE` : return `-1` for non-existent data instead of exception   
   - `functions.py`  
      - add `HASDATA` symbol

- Set environment variables to disable automatic threading in a number of externals, !1531 (@jonrob)   
  See discussion at lhcb/Rec!1224 and lhcb/Rec!1214  

- Add package CaloFuture, !1521 (@jmarchan)   
  New CaloFuture package to be used for upgrade

- modifications to interfaces ICaloTrackIdEval and ICaloDigits4Track, !1561 (@zhxu)   
  * CaloInterfaces/ICaloTrackIdEval.h  
    - [x] Modified `process` function  
    - [x] Removed the functor interface  
  * CaloInterfaces/ICaloDigits4Track.h  
    - [x] Deprecated  
  All changes mentioned above are moved to `CaloFuture` package.

- Adapt interface to changes from CaloFutureShowerOverlapTool, !1592 (@cmarinbe)   
  see lhcb/Rec!1273  

- Changes for calorimeters RawBank access, !1629 (@jmarchan)   
  Added CaloFutureRawToDigits code and removed old code. See also lhcb/Rec!1303
    

- Tweak FTRawBankDecoder, !1499 (@graven)   
  * prefer Property callback over initialize  
  * prefer constexpr  
  * optimize reverse_each_module  
  * factor code for different decoding versions out into separate functions

- Added more getters to DeFTMat.h so that PrStoreFTHit can almost suck its content, !1467 (@sponce)   

- Refactor UT code out of ST libraries, !1487, !1585 (@abeiter)   
  DeUT classes are moved to independent library. UTKernel, UTDAQ, and UTTELL1Event libraries are expanded to have UT copies of the ST classes. ST classes in Event and Kernel are also copied into UT classes in those libraries. The goal of these changes is to make all UT code independent of ST libraries.

- Extracted generic code from PrVeloUT concerning UT geometry, !1552 (@sponce)   

- RichKernel : Return void from Rich::Converter_Imp::Exception, !1527 (@jonrob)   
  See lhcb/LHCb!1524

- Add optimised method to DeRichSphMirror to return mirror data in SIMD friendly form, !1485 (@jonrob)   
  Results in a reasonable optimisation of `MirrorData::update` which is heavily called by the photon reconstruction.

- Add functional decoding of Muon system, !1611 (@rvazquez)   
  Adds a new functional algorithm to decode the muon raw banks for the upgrade.   

- Port L0 Calo fix for 2016 constants to master, !1516 (@robbep)   
  See explanation and discussion in !1504

- Set 2018 initial time during run 195042, !1471 (@cattanem) [LHCBPS-1800]  
  Cherry picked from !lhcb/LHCb!1469 on `2018-patches`

- LHCbMath:
  - Add fast approximate atan2 for scalars and SIMD types., !1498 (@jonrob)   
  - Improve a bit issue with inheritance, !1429 (@ibelyaev)   
    Cherry picked from lhcb/LHCb!1427 on `run2-patches`

- Merge of TDR branch, aka code that would break master but is needed to run TDR tests, !1028 (@sponce)   


### Bug fixes

- Fixed UpdateManagerSvc setting of remote pointer, !1619 (@clemenci)   
  When a client registered to a condition that is generated by another object (algorithm, tool, ...), if they were not initialized in the right order, the target pointer in the client was not updated.  

- Fix gcc8 false positive warning in tar read/write implementation, !1545 (@graven)   

- Fix HltPackedDataDecoder regression from future merge, !1574 (@apearce)   

- LinksByKey: linkReference already pushed back at line 96, !1573 (@jihu)   
  This fix should not effect any physics performance as this redundant LinkReference is not referenced by others

- Fix some minor problems, !1554 (@clemenci)   
  - DEBUG printout in EventClockSvc and UpdateMgrSvc (after move to `Gaudi::Property`)  
  - Fixed wrong configuration of Git CondDB overlays with IOVs  
  - Fixed possible `nullptr` dereferencing

- PackedTrack: add FPE protection for States with q/p == 0, !1553 (@jonrob)   
  See discussion at lhcb/Brunel!540  

- LoKiMC: add missing MCEngine::context method, !1549 (@ibelyaev)   
  See discussion in !1528

- Fix an issue with LHCb::Vector::Mem::Iterator constructor highlighted by gcc8 warning, !1532 (@jonrob)   

- EventPacker - Add some fixes for unchecked StatusCodes, !1530 (@jonrob)   
  
- RichDet - Fix some untested StatusCodes, !1525 (@jonrob)   

- Protect 32-bit overflow when building rawBank word in CaloFillRawBuffer, !1529 (@deschamp)   

- ByteStreamTests - Avoid undefined behaviour sanitizer error due to misaligned writes, !1523 (@jonrob)   

- Fix undefined behaviour sanitizer error in RawEventDump, !1522 (@jonrob)   

- RichFutureDAQ - Add default initialisation to version enum, !1518 (@jonrob)   

- LHCbMath - Fix undefined behaviour sanitizer warnings from Lomont.cpp, !1512 (@jonrob)   

- When reading from the GitCondDB, handle properly commits with empty taggerdate, !1473 (@bcouturi) [LHCBPS-1803]  

- Fix FileStager errors triggered by LCG_94, !1453 (@bcouturi)   
  The test error is due to a SEGFAULT in Tools/FileStager/src/Component/StagedIODataManager.cpp.  
  - Replace xrd with xrdfs  
  - StagedIODataManager: add property to disable PFN warning (warning disabled by default) and modernize properties.

- Add enum34 to PYTHONPATH before using pyqt5, !1446 (@bcouturi)   
  enum34 is needed to use pyqt5 with python < 3.4

- Fix persist reco checksum calculation for pairs, !1433 (@rmatev)   
  Cherry picked from lhcb/LHCb!1432 on `2018-patches`


### Code modernisations and cleanups

- EvtStoreSvc now has ForceLeaves property, !1655 (graven)   

- Modernize DeterministicPrescaler, !1633 (@graven)    

- Moved VectorSOAMatrixView header to the Rec project as it depends on headers that are only there, !1643 (@sponce)

- Make EventDataSvc configuration forward & backward compatible, !1634 (@graven)   
  Do not hardwire the assumption that the TES is of type EventDataSvc.

- Do not assume registry is present, !1635 (@graven)   
  Prior to derefencing DataObject::registry(), first check that the return value is not a nullptr    

- Fixed missing headers, !1636 (@sponce)

- port ApplicationVersionFilter to Gaudi::FilterPredicate, !1632 (@graven)   
  
- Fix -Wnon-virtual-base warning, !1622 (@graven)   
  Exposed by gaudi/Gaudi!808

- Modernize ICaloFutureShowerOverlapTool, !1618 (@cmarinbe)   
  Change method signature to pass clusters by reference instead of pointer and introduce `tagged_bool` for documentation. Closes #17.

- remove SVN/CVS $Id$, !1617 (@graven)   
  

- use C++14 4-iterator version of std::equal where appropriate, !1616 (@graven)   
  

- Fix One Definition Rule violations, !1600, !1614, !1615, !1641 (@graven)   
  Use constexpr and C++17 inline variables to fix violations of the [One Definition Rule](https://en.cppreference.com/w/cpp/language/definition)

- replace EnumToType by parse to match the requirements of Gaudi::Property, !1613 (@graven)   


- Remove LHCb::State::clone(), !1607 (@graven)   
  State is a concrete, final class, and does not inherit from anything, and nothing can inherit from it. So there is no reason to provide a (non-virtual) clone method.  

- prefer GenericAgent over IDataStoreAgent implementation, !1599 (@graven)   
  

- use Property constructor which accepts updateHandler, !1596 (@graven)   
  requires Gaudi v30r4 or later (specifically gaudi/Gaudi!769)

- use IDataManagerSvc::GenericDataStoreAgent instead of LHCbOutputStreamAgent, !1595 (@graven)   
  Prefer IDataManagerSvc::GenericDataStoreAgent which allows the use of a lambda over a dedicated implementation of the IDataStoreAgent interface  

- use std::any instead of ranges::v3::any, !1598 (@graven)   

- HLTControlFlowMgr: use std::in_place_type as intended, !1594 (@graven)   

- fully qualify enum values, !1586 (@graven)   
  
- replace boost::{filesystem,regex} with std::{filesystem,regex}, !1580 (@graven)   
  

- Workaround for issue in cppyy with templated methods without arguments, !1577 (@clemenci)   
  needed for gaudi/Gaudi!786

- use boost::callable_traits in SynchronizedValue, !1571 (@graven)   
  

- Remove packages list and non-existent QMTest from LHCbSys/CMakeLists.txt, !1569 (@cattanem)   
  - Packages list was needed for SVN, no longer necessary with Git  
  - `gaudi_add_test(QMTest QMTEST)` was remnant of a previous cleanup

- prefer std::string_view over boost::string_ref, !1567 (@graven)   
  

- Suppress warnings about missing Prs and Spd in CaloFuture2Dview monitoring base class, !1565 (@cattanem)   

- Convert DataObjectHandleBase instances to strings, !1563 (@apearce)   
  Input and output location properties set with `str` will be implicitly cast to `DataObjectHandleBase`, so when the property is subsequently retrieved and passed to something expecting `str`, it must be converted.  

- Prevent spurious "unchecked status code" error, !1555 (@clemenci)   

- Fixes for gcc8 support, !1462 (@bcouturi)   
  
- Silence gcc8 false positive warning, !1548 (@graven)   

- Fix gcc8 trajpoca warning, !1547 (@graven)   

- fix gcc8 warning in MDF_ROOT_dll.cpp, !1546 (@graven)   

- CaloUtils/ClusterFunctors: Return void from Exception instead of StatusCode, !1540 (@cattanem)   
  

- Modernize TESMerger, !1539 (@graven)   
  *  Port to Gaudi::Functional  
      * adapt python configurable accordingly, as this implies a change from string properties to DataHandleBase properties  
  *  Make it more generic:   
      * use `ValueType::clone()` if it exists, otherwise use `new ValueType( value )`  
      * automatically switch between `Container::insert` (in case of eg. KeyedContainer) or `Container::push_back` (in case of eg. std::vector)  
      * if output container type has a `reserve(size_type)` method, use it  
  *  Add back the instantiation of a merger of `KeyedContainer<Track>`

- use class template argument deduction for greater/less, !1537 (@graven)   
  
- use class template argument deduction for lock_guard, !1536 (@graven)   
  
- Suppress some UB sanitizer errors from LbAppInit string hash, !1519 (@jonrob)   

- Fix misleading documentation, !1503 (@erodrigu) [LHCBPS-313]  

- Add final and remove destructors from several event model classes, !1502 (@graven)   

- modernize MultiIndexHitContainer, !1494, !1442 (@graven)   
  * prefer constexpr  
  * prefer deduction guides  
  * remove debug data from NDEBUG build
  * use std::apply to streamline addHit   

- Add make_span overload for vector<T>::{const_}iterator pair (provided T!=bool), !1493 (@graven)   
  

- Prefer template deduction guide over LHCb::make_array, std::make_pair, !1477 (@graven)   
  

- disable -Wsuggest-override from root,boost,xerces in lb-dev builds, !1464 (@pseyfert)   
  NB: full project builds are not affected because the LHCb top level CMakeLists (not shipped to lb-dev directories) has these fixes.

- RICH cleanup using clang-format, !1455, !1460, !1480 (@jonrob)   
  Application of clang-format to RICH sources to apply consistent style.

- Rich - Use nested namespaces and 'if constexpr', !1454 (@jonrob)   
  Adopt a few c++17 features   

- prefer C++17 structured bindings over std::tie in assignment, !1445 (@graven)   
  
- remove code conditional on __cplusplus less than C++17, !1443 (@graven)   
  
- PiecewiseTrajectory::{append,prepend} now take std::unique_ptr as argument, !1436 (@graven)   
  

- Minimize the ICaloClusterization interface to the one method required, !1431 (@graven)   

- make Calo{Cluster,Digit} final, remove clone, !1428 (@graven)   



### Changes to tests

- Update newparts test to follow update to chi_c1(1P) mass in 2018 PDG, !1640 (@cattanem)   
  Follows LHCb!1639

- Track_v2: more stringent unit tests, !1593 (@graven)   
  
- Better reporting of failed counters, !1551, !1556 (@sponce)   


- Skip virtual memory check in mergesmallfiles test when running sanitized builds, !1520 (@jonrob)   
  Virtual memory usage much higher when running sanitized builds, so check is useless.

- Disable TestFastMath test under sanitizers as timings are skewed, !1511 (@jonrob)   
  

- Add tests to check L0DU can be decoded in Run1 and Run2 data, !1488 (@cattanem)   
  Cherry-picked from lhcb/LHCb!1486 on `run2-patches`

- make sure we create newref file when there are only counters differences, !1444, !1474 (@sponce)   
  It was so far not the case, making it difficult to update ref files when only counters where modified.

- Fix tests using the SQLite DDDB, broken by !1439, !1440 (@cattanem)   
  Cherry picked from lhcb/LHCb!1437 on `run2-patches`    
