

2019-05-22 LHCb v50r4
===

This version uses Gaudi v32r0 and LCG_95 with ROOT 6.16.00.
<p>
This version is released on `master` branch.

Built relative to LHCb v50r3, with the following changes:

### New features

- Apply source code style convention, !1606 (@clemenci)   
  - add CI check on code format  
  - global reformat

- Proof-of-principle example of using a ConditionAccessor in a Consumer, !1892 (@graven)

- Add EcalOverlap cluster collection type, !1900 (@ppais)   

- Add debuggable threadpool, !1868 (@nnolte)   

- Moved LinksByKey and LinkReference out of G.O.D. and added useful templated method to them, !1846 (@sponce)   

- Added a const hasEntry interface to LinksByKey, used by the MC checking, !1808 (@sponce)   

- Added helper methods to LinksByKey, !1872, !1909 (@sponce)   

- Add MuonMatchVeloUT to history enum of Track, !1807 (@mramospe)   

- SOA container import, !1604, !1786 (@pseyfert)   
   - makes SOAContainer available as `INCLUDE_DIRS Kernel/SOAContainer` and `#include "SOAContainer/SOAView.h"`.  
   - the recursive checkout will require access to github.com

- SOA Container extensions, !1810 (@pseyfert), !1859 (@graven)   
   - a bit more runtime checks to zipping   
   - the functionality of Selections (in the sense of the current Pr::Selection)  


### Enhancements

- HLTScheduler: Use gsl::not null to annotate pointers which can never be nullptr, !1857 (@graven)   
  Based on !1851 

- Exchange `std::round` with `std::nearbyintf`, !1856 (@decianm)   

- Remove RawBank copy in RawEvent, !1845 (@ahennequ)   
  This one line change allows the framework to process 20% more events per second.  

- GammaPi0 upgrade, !1814 (@calvom)   
  - Update of IsPhoton (gamma/pi0 separation) tool for Run 3.   
  - Removal of input variables related to the Prs detector. See lhcb/Rec!1473 for full info.  
    
- LHCbMath - Remove use of GenVector in SIMDTypes.h, !1785 (@jonrob)   

- Faster muon decoding, !1721 (@rvazquez)   
  Includes a code to pass directly from RawBanks to MuonHits.   
  *  drops the MuonCoord as the MuonHits contain the same information  
  *  include faster tools to access the geometrical information of the TileIDs

- Calo track tool upgrade for future, !1624 (@wkrzemie)   
  Changes to ICaloTrackMatch to make it const.

- Issue an error message when git submodule does not appear to be checked out, !1865 (@pseyfert)


### Bug fixes

- Fix order of finalization (algs before scheduler), !1938 (@nnolte)  

- Fix issue with LHCbApp().OutputLevel, !1899 (@cattanem)   
  Fixes an issue exposed by Brunel!757, in which `EventLoopMgr` is wrongly configured when `LHCbApp().OutputLevel` is set.

- Use consistent trailing slash behaviour in TurboConf, !1873 (@apearce)   
  cherry-picked from lhcb/LHCb!1869

- Fix message level protection in RawBankToSTLiteClusterAlg, !1811 (@clemenci)   
  - Fixes wierd pattern introduced with e97a0f4e22dd3aa42e402c896b400bcdac928120 (!1028)  


### Code modernisations and cleanups

- Modified version of CaloFutureDigitsFilterAlg, !1935 (@jmarchan)

- Move BooleInit from Boole/Digi/DigiAlgs, so it can be used by Delphes, !1941 (@cattanem)   

- Update test references to follow gaudi/Gaudi!904, !1933 (@cattanem)   

- Remove timestamp from G.O.D. output, !1918 (@rmatev)   
  This makes the stack build reproducible and therefore ccache hit efficiency improves dramatically.

- Fix const correctness, !1887 (@graven)   

- Move VPDetPaths and VPGeometry from Pr/PrPixel to Det/VPDet, !1884 (@raaij)   

- Sorted out VectorClass usage in LHCb, !1879 (@sponce)   
  In particular :  
    - use Gaudi's System::instructionsetLevel rather than insttrset_detect and drop dependencies on VectorClass for theses cases  
    - dropped Kernel/VectorClass directory from LHCb as it was empty and only raising warnings  
    - adapted CMakeLists.txt files to properly find VectorClass when needed

- Minor changes in timing + moved selectStore + setRoot into thread, !1871 (@nnolte)   

- Fix errors flagged by clang 8, !1851 (@graven)   

- Fix warnings from clang8 and some other minor fly-by cleanups, !1870 (@cattanem)   
  
- VPConstants: prefer inline constexpr over static const variables, !1858 (@graven)   
  
- Import GaudiGSL from Gaudi, !1850 (@clemenci)   
  To be able to license Gaudi as Apache 2 it was decided to remove GaudiGSL (GPLv3) from Gaudi and import it in LHCb.  

- Remove unnecessary imports and configuration of HltEventLoopMgr, !1849 (@nnolte)   

- Remove AutoTags option using Ariadne, !1813 (@cattanem)   
  Ariadne has been decommissioned, so `DDDBConf().AutoTags` no longer works.  

- Remove obsolete Ariadne tests, !1812 (@cattanem)   
  Ariadne has been decommissioned, so removing tests that are now failing to find the Ariadne service  

- Remove SVN/CVS keywords, !1771 (@cattanem)   
  
- Modernize LoKi, !1770 (@graven)   
  * only mention template arguments if really needed  
     - prefer templated member functions of non-templated classes over  
       templated classes with non-template member functions  
     - use CTAD (class template argument deduction) when possible  
     - add deduction guides to enable more CTAD  
  * replace `stable_sort`, when followed by `unique`, with `sort`.  
  * avoid using `auto` return type when interacting with cppyy.  
      
- Replace XYZ::value with XYZ_v, !1749 (@graven)   

- Replace boost with std, !1748 (@graven)   
  replace boost::regex with std::regex, and boost::variant with std::variant

- Modernize MD5, !1747 (@graven)   
  * add unit test for MD5  
  * add constexpr

- RichUtils - Force return type from Vc gather operations, !1746 (@jonrob)   

- Cleanup doxygen configuration files, !1745 (@cattanem)   

- Introduce DetDesc implementation of ConditionAccessorHolder concept, !1732, !1788 (@clemenci)   
  This is a new way of retrieving conditions and detector elements from the detector transient store.  

- Drop local copy of VectorClass and use the LCG installation, !1697 (@clemenci) [SPI-1181]  

- HltScheduler: adjust api according to gaudi/Gaudi!877, !1866 (@nnolte)

### Monitoring changes

- added efficiency printout for scheduler, !1844 (@nnolte)   

- put some debug output into verbose -> scheduler, !1744 (@nnolte)   


### Changes to tests

- Avoid gaudirun.py customMainLoop for EvtCounter test, !1937 (@clemenci)   

- Prevent concurrent execution of some tests, !1791 (@clemenci)   

### Documentation

- Extend the documentation of Kernel/SOAExtensions, !1847 (@pseyfert)   
