

2019-10-03 LHCb v50r6
===

This version uses Gaudi v32r2 and LCG_96b with ROOT 6.18.04.
<p>
This version is released on `master` branch.

Built relative to LHCb v50r5, with the following changes:

### New features

- PlatformInfo: add gcc9 platforms, !2122 (@cattanem)   
  Introduces support for gcc9

- PlatformInfo - Extend AVX512 types with AVX512VL and AVX512BW, !2060 (@jonrob)   

- Moved Tools/GaudiTensorFlow from Gauss, !2081, !2114, !2155 (@landerli, @clemenci)   

- RichDet - Support for updated 'new' PMTs with large PMT flag correctly set, !2097 (@jonrob)   

- Stop scheduling evts in case an event fails, !2028 (@nnolte)   

- Output only HltDecReports from ExecutionReportsWriter, !2050 (@nnolte)   
  `ExecutionReportsWriter` is changed to output only the line decisions (in the usual form of a `HltDecReports` object) instead of all node states.

- Add LHCbMath/Truncate.h that implements methods to truncate floating point values to a fixed number of d.p., !2041, !2046 (@jonrob)   


- Functors for the smog minimum bias line, !2134 (@samarian)   
  Defines the nHits accessor required for the NHITS functor implementation

- Add zipping of SOA tracks + PV relations demonstrator, !2095 (@olupton)   

- Functor improvements, !2029 (@olupton)   
  - Move helper classes for iterating over `Pr::Velo::Tracks` into `Event/TrackEvent/Event/PrIterableTracks.h`
  - Pick up updated `SOAContainer`
  - Add some helper functions to `SIMDWrapper` to allow the vector instruction set used when building the stack (`stackInstructionSet()`) and "now" (`instructionSet()`).
  - Add `closestToBeamState()` accessor to `v2::Track`  

- Add closestToBeamState() accessor to `v2::Track` skin, !2075 (@olupton)   

- Add chi2perdof function to track skin, !2055 (@sstahl)   

- Add posCovMatrix() accessor to v2::RecVertex, tweaks to SIMDWrapper et al. and expand PrIterableTracks, !2065 (@olupton)   

- v2::Track - Add ostream << operator, !2061 (@jonrob)   
  


### Enhancements

- Improve CrossSectionsFSR::getFullNames, !2098 (@graven)   

- MuonRawToHits: improve memory management, reduce the calls to get the layouts, !2092 (@rvazquez)   

- Modify Pr::Tracks to know of ancestor relation, add lhcbIDs functions, !2086 (@sstahl)   

- Tweak VPDAQ, !2042 (@graven)   

- Add CovY in PrVeloTracks, !2038 (@ahennequ)   

- RichDet improvements for new PMT classes, !2036 (@jonrob)   


### Bug fixes

- Change Pr::Zip to avoid using SIMDWrapper types as class template arguments, !2156 (@olupton)

- Functors templates compilation fix, !2150 (@samarian)

- Fix GenFSRMerge fails on samples with SpillOver, !2070 (@dfazzini) [LHCBGAUSS-1775]  
    
- Prevent cling to choke on LoKi/Odin.h, !2144 (@clemenci)   

- Add runtime dependency on LAPACK (required by a numpy based test), !2143 (@clemenci)   
  This fixes the tests failing with LCG 96b.  

- change int_v multiplication in simdwrapper, !2140 (@nnolte)   

- Fix calocluster copy constructor, !2096 (@graven)   
  * the CaloCluster copy constructor did not copy the key  
  * make the assignment operator= private, and do not implement it to avoid the compiler from doing so

- Fix bug in DeCalorimeter::resetCellParam, !2080 (@graven)   
  DeCalorimeter::resetCellParam did nothing unless the message level was at DEBUG (or lower!)  

- Adapt Lookup table for central UT region to correspond to correct numbering scheme of new geometry, !2074 (@decianm)   

- HLTControlFlowMgr - Avoid tripping over bug in EventSelector::releaseContext, !2073 (@jonrob)   

- Address a number of gcc9 warnings, !2072 (@graven)   

- RawDataCnvSvc - Fix memory leak, !2064 (@jonrob)   

- Update SOAContainer submodule for undefined behaviour fix, !2063 (@jonrob)   

- CheckGeometryOverlaps - Fix memory leak, !2062 (@jonrob)   
  In addition, whilst there, some minor modernisation updates.

- CondDBDQScanner - Fix memory leak, !2059 (@jonrob)   

- HLTScheduler, MDF - Fix Context memory leak, !2058 (@jonrob)   

- Include VectorClass's instrset.h in TestVDTMath tests for INSTRSET, !2044 (@jonrob)   


### Code modernisations and cleanups

- Prefer CaloIndex enum over plain (unsigned) int, move some Calo Interfaces to Rec, !2132 (@graven)

- Remove CaloFutureDigitFilterAlg, !2154 (@jmarchan)

- Small CMake improvements, !2142 (@clemenci)

- Replace template classes with classes with templated call operator, !2149 (@graven)   

- prefer std::variant over boost::variant, !2146 (@graven)   

- OTDet Fix misc. uninitialised data member warnings, !2138 (@jonrob)   

- CaloPin - Default initialise m_box, !2136 (@jonrob)   

- Extract UT sector mapping from the geometry rather than hardcoding it, !2133 (@sponce)   
  
- Move {,I}CaloFutureDigitTool from LHCb to Rec, !2131 (@graven)   

- Fix compatibility with Python 3 Gaudi, !2129 (@clemenci)   

- Calo: use functional conditions accessors, !2127 (@graven)   

- MuonRawToCoord: migrate to range v0.9 in backwards compatible manner, !2125 (@graven)   

- DAQ/MDF/MDF/MDFHeader.h: Fix gcc9 "taking address of packed member may result in an unaligned pointer value" warning, !2124 (@graven)   

- Check range v3 version to define various headers to use, !2110 (@jonrob)   

- update MuonRawToCoord for ranges-v3  0.9.x, !2109 (@graven)   
  
- gcc9 warning fixes, !2121, !2108, !2107 (@graven)   
  
- fix gcc false positive warning, !2107 (@graven)   

- Const-correctness fixes in CaloDet, !2106 (@graven)   

- remove explict ODIN copy c-tor, rely on compiler generate copy c-tor and operator=, !2105 (@graven)   

- Modernize DetDesc::ParamList, !2104 (@graven)   

- calo event CaloHypo update, !2102 (@zexu)   

- DeRichSystem - Cleanup and simplify a little initialize(), !2100 (@jonrob)   
  
- Rename Calo::Future namespace into LHCb::Calo, !2099 (@graven)   

- selreportswriter functional, !2094 (@nnolte)   

- const functions in ReportConvertTool (for sel reports), !2088 (@nnolte)   

- RawBankReadoutStatus: add assignment, !2083 (@graven)   

- Remove explicit copy constructor from {U,S}TChannelID, !2082 (@graven)   

- CaloDataProviders: avoid implicit KeyedContainer::operator=, !2079 (@graven)   

- fix gcc9 redundant move warnings, !2078, !2085 (@graven)   
  
- Remove explicit operator= from {ST,UT,Velo}Lite cluster, !2066 (@graven)   

- Streamline Conditions Derivation, !2057, !2039 (@graven)   

- only include range-v3 when it is actually used, !2056 (@graven)   

- DeUTDetector - Protect getSectorDirect from out-of-bounds access, !2052 (@jonrob)   

- remove warning in case of "NONE" evtselector, !2051, !2069 (@nnolte)   

- Various fixes needed for clang 8 builds, !2048 (@jonrob)   

- Improve CaloFuture,DeCalorimeter,CaloVector interfaces, !2045 (@graven)   

- Update STLExtensions, !2043 (@graven)   

- Tweak UTDet/StatusMap, !2040 (@graven)   

- Rename UTModule with UTStave, !2037 (@abeiter)   
  This coincides with changes to the DDDB and the SIMCOND database.

- Remove CondDBBrowser, !1725 (@clemenci)   


### Changes to tests

- Improved counter checking to avoid crashes when changing counter nature, !2128 (@sponce)   
