2021-06-24 LHCb v52r2
===

This version uses
Gaudi [v36r0](../../../../Gaudi/-/tags/v36r0) and
LCG [100](http://lcginfo.cern.ch/release/100/) with ROOT 6.24.00.

This version is released on `master` branch.
Built relative to LHCb [v52r1](/../../tags/v52r1), with the following changes:

### New features ~"new feature"

- ~Decoding ~RICH | Update RICH decoding for realistic cable maps from the pit, !3061 (@jonrob) :star:


### Fixes ~"bug fix" ~workaround

- ~Decoding ~UT | Max number of digits per sensor fixed as 252, !3064 (@xuyuan) :star:
- ~Tracking ~VP | Double max number of hits in a VP track, !3095 (@sponce)
- ~Conditions | Fixed duplicated property name 'RootInTES' warnings, !3084 (@sponce)
- ~Build | Disable TestMuonZipInfrastructure test for clang 11, !3100 (@chasse) [#139]


### Enhancements ~enhancement

- ~Configuration | Assert non-empty control flow nodes, !3076 (@rmatev) [Moore#215]
- ~Configuration | Unset LHCb default DataType, !2974 (@apearce)
- ~Decoding ~RICH | RichTel40CableMapping : silently catch and flag when DB is not correct for realistic decoding, !3090 (@jonrob) [#137]
- ~Tracking | Add proxy to PrUpstreamTracks, !3105 (@decianm)
- ~Tracking | Replace floats_field with states_field for PrTracks, !3101 (@decianm)
- ~Tracking ~UT | Make findAllSectors in UTDAQ more general, !3074 (@peilian)
- ~Calo | Fix: prefer std::nearbyint over std::round to avoid gcc 10 perf regression, !3092 (@chasse)
- ~"Event model" | Add some v2 proxies to pr tracks, turn Tag namespace into struct, !3067 (@chasse)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Decoding ~Conditions | Introduce strong types StationID,QuarterID,LayerID,MatID in FTChannelID, !3102 (@graven)
- ~"Event model" | Modernize LumiEvent, !3056 (@graven)
- ~Persistency | RawBank: factor out common conversion code in type parsing, !3108 (@graven)
- ~Persistency | Improve usage of RawBank::BankType as Gaudi::Property, !3069 (@graven)
- ~"MC checking" | First step towards dropping GaudiAlgorithm from Particle2MCLinker, !3022 (@sponce)
- ~Core | Consolidate FSRAlgs, !3089 (@graven)
- ~Conditions | Change of location of GrammarUnparsed (LCG100), !3057 (@mimazure)
- ~Utilities | Refactor: removed unsed SOA{Container,Extension}, !3078, !3085 (@chasse)
- ~Build | Prepare refs for new platforms, !3091 (@rmatev)
- ~Build | Drop removed properties from reference files, !3068 (@clemenci)
- Fix clang warnings, !3103 (@graven)
- Fix: ignore counters for x86_64_v4 platform in LHCbTest.py, !3086 (@chasse)
- Adapt to drop of StatusCode check via StatusCodeSvc, !3070 (@clemenci)
- Towards dropping GaudiAlgorithm from LHCb, !3001 (@sponce)
