2021-09-06 LHCb v53r1
===

This version uses
Gaudi [v36r0](../../../../Gaudi/-/tags/v36r0) and
LCG [100](http://lcginfo.cern.ch/release/100/) with ROOT 6.24.00.

This version is released on `master` branch.
Built relative to LHCb [v53r0](/../../tags/v53r0), with the following changes:

### New features ~"new feature"

- ~Tracking ~Filters | Implement math for 2D measurements, !2660, !3224, !3220 (@jadevrie, @chasse)
- ~Tracking ~"Event model" ~Persistency | Implement a global ID for overlap checking of reconstruction objects, !3055 (@mramospe) [Phys#12] :star:
- ~RICH ~"MC checking" | Add additional method to Rich MC Optical Photon helper, !3174 (@jonrob)
- ~Core | Implement `get_pointer(std::optional)`, !3193 (@graven)


### Fixes ~"bug fix" ~workaround

- ~Configuration | Fix force_location for string properties and add tests, !3164 (@rmatev)
- ~Configuration ~Persistency | Make LHCb::HltPackedDataWriter thread-safe, !3118 (@lmeyerga)
- ~"Event model" ~Simulation | Fix MCParticle beta, gamma and betaGamma, !3171 (@clemenci) [Boole#3] :star:
- ~Persistency ~Simulation | GenCountersFSR: fix typos, !3137 (@graven)
- ~Build | Fix order of path environment variables, !3159 (@clemenci)
- ~Build | Fix private dependencies lookup in satellite projects, !3135 (@clemenci)


### Enhancements ~enhancement

- ~Configuration | Speed up PyConf with a cache of configurable calls, !3047 (@rmatev)
- ~Configuration ~Tracking ~UT | Minimum layer argument for UT findAllSectors and PyConf DISABLE_TOOL function, !3216 (@gunther)
- ~Configuration ~Persistency | Use UnpackTrackFunctional in PersistRecoConf, !3167 (@sstahl)
- ~Decoding | RawbankView for createODIN, !3036, !3223 (@sesen, @chasse) [#5]
- ~Decoding ~VP | Clustering upgrade from 3x5 to 3x3 matrix geometry, !3163 (@gbassi) :star:
- ~Decoding ~RICH | Rich DAQ decoding - Protect against invalid Tel40 SourceIDs, !3109 (@jonrob)
- ~Tracking ~FT | Improve Layout of PrSciFiHits, !3156 (@gunther)
- ~Composites ~Utilities | Prefer sqrt over rsqrt to remove differences between AMD and Intel, !3129 (@sstahl)
- ~Persistency | Change HltPackedDataWriter compression method, !3191 (@lmeyerga) [LZMA-6,ZSTD-5]
- ~Persistency | Add a selection id for Sprucing, !3168 (@shunan) [lhcb-dpa/project#133]
- ~Core | Created an LHCb specific version of Functional base classes, !3187 (@sponce)
- ~Conditions | Speed up Moore initialization (XML reading), !3175 (@rmatev)
- ~Utilities | Add missing operator for avx256::mask_v, !3179 (@rmatev)
- ~Build | Propagate DETECTOR_PROJECT_ROOT environment variable, !3218 (@rmatev)
- ~Build | Make prinout of differences in Counter, 1DHistograms, and 1DProfiles deterministic, !3149 (@chasse)
- ~Build | Put expanded reference name in test report, !3130 (@chasse)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Decoding ~UT | UTFullDecoding: remove redundant initialize, !3157 (@graven)
- ~VP ~UT ~FT | Unify implementation of {VP,UT,FT}ChannelID, introduce strong types for VP Sensor,Chip,Column,Row, !3134 (@graven)
- ~UT ~Conditions | Modernize UTDet, !3189 (@graven)
- ~"Event model" | Rationalise LHCb::Event namespace usage, !3183 (@graven)
- ~Persistency | HltDAQ: Pre-size decompression buffer, !3176 (@graven)
- ~Persistency | Streamline Event/EventPacker, !3173 (@graven)
- ~Persistency | Modernize HltPackedData{Writer,Decoder}, !3170 (@graven)
- ~Persistency | Simplify chunking in HltPackedDataWriter using LHCb::range::chunk, !3158 (@graven)
- ~Persistency | Fix for python 3.9, !3124 (@cattanem)
- ~Core | Make NodePIDs threadsafe, !3177 (@graven)
- ~Build | Minor fix to STDOPTS definition, !3169 (@clemenci)
- Make code compatible with gaudi/Gaudi!1249, !3217 (@graven)
- Tweak track_v3:, !3185 (@graven)
- Take advantage of namespace nesting, !3184 (@graven)
- Drop usage of GaudiAlgorithm in favor of Gaudi::Algorithm, !3181 (@sponce)
- Fix various clang warnings, !3180 (@graven)
- Modernize PackedData classes, !3161 (@graven)
- Fix for DD4HEP, !3152 (@graven)
- Dropped usage of (UN)LIKELY macro, !3113 (@sponce)
