2022-08-03 LHCb v53r10
===

This version uses
  Gaudi: [v36r7](../../../../Gaudi/-/tags/v36r7),
  Detector: [v1r3](../../../../Detector/-/tags/v1r3),

This version is released on `master` branch.
Built relative to LHCb [v53r9](/../../tags/v53r9), with the following changes:

### New features ~"new feature"

- ~Decoding ~Muon | Muon Run3 decoding, !3133 (@satta) :star:
- ~Calo ~"Event model" ~Simulation | Add MCSmallCaloHit to support high granularity in calorimeters, !3432 (@mimazure)
- ~Persistency ~Monitoring | Add algorithms for monitoring HltDecReports and the Scheduler state, !3154 (@alupato)


### Fixes ~"bug fix" ~workaround

- ~Core | Spurious wakeup to avoid deadlocks in scheduler, !3645 (@nnolte) [#233]


### Enhancements ~enhancement

- ~Configuration | Fix(pyconf) allow easily forcing the c++ type of an untyped DataHandle, !3643 (@chasse)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Fix configuration of LbExec tests, !3672 (@clemenci)
- ~Configuration | Make sure MagneticFieldSvc is loaded as early as possible, !3633 (@clemenci)
- ~Decoding | Cleanup Plume event model classes, !3661 (@rmatev)
- ~Calo | Explicit calo dependency in NeutralProtoPAlg, !3625 (@cmarinbe)
- ~"Event model" | Make PVtracks::containers() access method const, !3709 (@cprouve)
- ~Persistency | Fix detection of TAE data in MDF writing, !3701 (@rmatev)
- ~Monitoring | Update test for new JSONSink, !3700 (@jheuel)
- Fix sanitizer build of LHCb, !3654 (@rmatev)
- Retina decoding test, !3642 (@raaij)
- Add scifi decoding test, !3641 (@raaij)


### Documentation ~Documentation


### Other

- ~Decoding ~Calo | Check calo bank size, !3681 (@cmarinbe)
- ~VP ~Persistency | First implementation of TELL40 v1 cluster output (default) and two sensor SP banks (only if FPGA clustering not available), !3452 (@hcroft)
- ~Muon | Fix Muon decoding test options for dd4hep, !3635 (@jonrob)
- ~Calo | Cleaning Calo, !3620 (@jmarchan)
- ~RICH | Add support for RICH readout mapping versions, !3718 (@jonrob)
- ~RICH | Rich use dd4hep params panel sizes, !3708 (@jonrob)
- ~RICH | Rich remove pd assert, !3706 (@jonrob) [Moore#451]
- ~RICH | Update RichDetector refs for dd4hep, adapting to MR Detector/235, !3703 (@jonrob)
- ~RICH | Rich remove unneccessary default ctors, !3694 (@jonrob)
- ~RICH | Exclude RICH gas parameter printout from test comparisons, !3685 (@jonrob)
- ~RICH | Remove RICH dd4hep workarounds, !3684 (@jonrob)
- ~RICH | Add new property to RICH decoder to allow a single panel in the RICHes to be decoded, !3666 (@jonrob)
- ~RICH | Tune 'zero' detection in Rich1DTabFunc printout, !3638 (@jonrob)
- ~RICH | Adapt to small change in dd4hep ref for RICH radiator intersection tests, !3624 (@jonrob)
- ~RICH | Use new yaml DB tag supporting all PMTs active in tests reading DetDesc MC, !3623 (@jonrob)
- ~"Event model" | Add helper functions to SOAZip to loop over SOACollection of zips and non-zips with identical code, !3634 (@decianm)
- ~Simulation | Drop unwanted dependency on Gen/DecFiles, !3675 (@clemenci)
- Fix MessageSvc columns width, !3714 (@bcouturi)
- Ignore MagneticFieldGridReader log, !3713 (@bcouturi)
- Update References for: LHCb!3154 based on lhcb-master-mr/5248, !3712 (@lhcbsoft)
- Fixed DD4hep load test for G4 units as ROOT stderr is different, !3710 (@bcouturi)
- Improve support for Alignment workflow, !3705 (@clemenci)
- Fix barrier name matching for control flow edges, !3693 (@nnolte)
- Dropped unused include, !3704 (@sponce)
- Fixed hardcoded unit conversions between LHCb and DD4hep, !3699 (@sponce)
- Changed name of FT methods to make software clearer, !3679 (@lohenry)
- Update RICH numbering scheme in PDPanels initialisation., !3650 (@bmalecki)
- Update References for: Detector!244 based on lhcb-master-mr/5076, !3686 (@lhcbsoft)
- Fix LbDD4hep test_load_det_elems.py, !3683 (@clemenci)
- Replace getDet with ConditionAccessor in MCReconstructible, for DD4Hep, !3680 (@decianm)
- Allow updates of Velo motion system from YAML (new conditions DB), !3673 (@clemenci) [#236]
- Add writing and reading of RecSummary, !3671 (@sstahl)
- Add MuonTileID, !3622 (@rowina)
- Update References for: LHCb!3678 based on lhcb-master-mr/5040, !3682 (@lhcbsoft)
- Modernize AddressKillerAlg, !3678 (@graven)
- Update References for: LHCb!3427, LHCb!3366, Rec!2741, Moore!1642, Alignment!294 based on lhcb-master-mr/5009, !3677 (@lhcbsoft)
- Fix skipped links in FT NZS decoding and adding a check to readout map building, !3676 (@lohenry)
- Fix regression in DD4hep related test, !3655 (@clemenci)
- Tidying the FTRawBankDecoder for future work, !3632 (@lohenry)
- Pass std::any to dd4hep condition storage, to allow better type checking on LHCb side, !3607 (@jonrob) [Rec#345]
- Make Calo event model types SOACollections, !3589 (@ahennequ)
- Introduce PartialChiSquared, !3427 (@ausachov)
- Removed test of total number of links, !3667 (@lohenry)
- Fix the seg fault in NZS decoding, !3664 (@lohenry)
- Fixed decoded date in phoenix files, !3663 (@sponce)
- Fixed last two occurrences of MuonSystem, !3662 (@clemenci)
- Adding VPRetinaFullClusterDecoder, !3659 (@dpassaro)
- Suppress warning in NZS decoding, !3658 (@lohenry)
- Drop support for StatusCodeSvc, !3656 (@clemenci)
- Change BIntegrator to work across DetDesc and DD4hep, !3536 (@clemenci)
- Add missing dependencies on libraries, !3652 (@clemenci)
- Added  global exclusion for the DD4hep Geant4 unit warning, !3651 (@bcouturi)
- MuonReadoutCond improvements (for DD4hep preparation), !3649 (@clemenci)
- Limit number of appearances of GrammarUnparsed, !3648 (@sponce)
- Added definition of DeLHCb on DetDesc side, !3646 (@sponce)
- Rename MuonSystem det element to Muon, !3631 (@bcouturi)
- Allows FT decoding v7 in Allen, !3572 (@lohenry)
- Fix weights to match Boole/FT/FTDigitisation/FTClusterCreator, !3644 (@lohenry)
- Add RANGE and SELECTION typedef for MCParticle, !3640 (@jzhuo)
- Added human readable time in phoenix events, !3637 (@sponce)
- Cut on Max strips for UT clustering added, !3616 (@xuyuan)
- Add some missing dd4hep x86_64_v3 platforms, !3639 (@jonrob)
- Make more DeMuonDetector methods const, !3636 (@clemenci)
- Added missing include in HLTControlFlowMgr, !3630 (@sponce)
- Add basic test for loading dd4hep DetElems as derived conditions, !3626 (@jonrob)
- Modernized and simplified MuonRawBuffer and MuonRec algorithm, !3614 (@sponce)
- Use YAML::Node in FTReadoutMap, !3605 (@raaij)
- Removed unneeded DeMuonLocation::Cabling constant in DD4hep build, !3629 (@clemenci)
- Add muonsystem to dd4hep detector lists, !3627 (@jonrob)
- Add UT to default dd4hep det list, !3619 (@jonrob)
- Use derived condition for geometry cache in UTReadoutTool, !3586 (@clemenci) [#217]
- Force load of MagneticFieldSvc in DetDesc mode, !3541 (@clemenci)
- Use MagneticFieldGrid from Detector instead of DetDesc, !3530 (@clemenci)
