2021-12-02 LHCb v53r5
===

This version uses
Gaudi [v36r2](../../../../Gaudi/-/tags/v36r2) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to LHCb [v53r4](/../../tags/v53r4), with the following changes:

### New features ~"new feature"

- ~Configuration ~Persistency | Support for Online IO components, !3240 (@lmeyerga)
- ~Tracking ~"Event model" | Add info about History to PrTracks, !3247 (@gunther)
- ~"Event model" ~Utilities | Implement gather2D proxy behaviour into SOACollections, !3320 (@ahennequ)
- ~Conditions | Make DetDesc Condition objects accessible as YAML::Node, !3271 (@clemenci)
- ~Build | Add special '+dd4hep' platforms to PlatformInfo list, !3311 (@clemenci)


### Fixes ~"bug fix" ~workaround

- ~Configuration | Fix: all_nodes_and_algs function did not handle list of inputs, !3298 (@chasse)
- ~Decoding ~"Event model" | Modifications to allow conversion from ODIN v7 to v6 in Allen, !3302 (@raaij)
- ~Persistency | Fixed default version in PackTrack when nothing happens, !3328 (@sponce)
- ~Persistency | Do not do any unsollicited duplicate removal and sorting of RawBank::Type during parsing of vector<Type>, !3314 (@graven) [#169]
- ~Build | Do not set DETECTOR_PROJECT_ROOT environment variable, !3308 (@clemenci) [#167]
- ~Build | Extend generated <Project>Config.cmake with upstream versions, !3304 (@clemenci)


### Enhancements ~enhancement

- ~Tracking ~"Event model" | New lhcbid_v and lhcbids_field for SOACollection, !3288 (@decianm)
- ~"Event model" | Expose states collection class, !3291 (@ausachov)
- ~Persistency | Remove LHCb mdf writer compression by default, !3331 (@fsouzade)
- ~Core | Release the GIL so that XMLSummarySvc can acquire, !3340 (@rmatev)
- ~Build | Add check to make sure that all subdirs and source files are used, !3334 (@clemenci) [#161]
- ~Build | Fix issue in !3304, !3316 (@clemenci)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking ~"Event model" | Move Track History to Event namespace and make Enums consistent, !3299 (@gunther)
- ~Calo | Changes to the Calo code in preparation for DD4hep integration, !3282 (@sponce)
- ~"Event model" | Avoid foreshadowing, !3336 (@graven)
- ~"Event model" ~Utilities | SOACollection proxy simplification, !3323 (@ahennequ)
- ~Simulation | Remove use of childBegin/childEnd, !3150 (@graven)
- ~Tuples | Remove IEventTuple interface, !3117 (@pkoppenb)
- ~Build | Use Detector_DIR to set DETECTOR_PROJECT_ROOT, !3305 (@rmatev)
- ~Build | Minor fixes/clean up to CMake configuration, !3297 (@clemenci)
- Adapt to lhcb-datapkg/PRConfig!197, !3327 (@rmatev)
- Fixed and uniformized use of Boost::unit_test_framework in LHCbKernel, !3313 (@clemenci)
- Fixed incorrect reference introduced in previous MR, !3312 (@bcouturi)
- Fix warning in Moore docs, !3301 (@rmatev)
- Moved LineTraj to Detector for DD4hep + cleanup, !3294 (@sponce)
- Adapted code to non movable, non copyable counters, !3284 (@sponce)
- First round in dropping usage of GaudiAlgorithm in the Packers, !3192 (@sponce) :star:
- Update references for !3299, !3321 (@rmatev)
- Update References for: LHCb!3299, Rec!2601, Phys!1006, Allen!699, Analysis!832, Panoramix!109, Alignment!218, Run2Support!16 based on lhcb-master-mr/3118, !3315 (@lhcbsoft)
