2022-06-10 LHCb v53r9
===

This version uses
Detector [v1r2](../../../../Detector/-/tags/v1r2),
Gaudi [v36r5](../../../../Gaudi/-/tags/v36r5) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to LHCb [v53r8](/../../tags/v53r8), with the following changes:

### New features ~"new feature"

- ~Decoding ~FT | Add v7 FT decoding, !2942 (@legreeve) :star:
- ~VP | RetinaCluster v1, !3385 (@gbassi) :star:
- ~Persistency | Add UnpackRawEvents algorithm, !3457 (@graven)
- ~Core | Replace Run2 DQ filtering with a new DQFilter algorithm, !3463 (@clemenci) [(gaudi/Gaudi#219,lhcb-dpa/project#49,LBCOMP-96]
- ~Core | Add new ParamFileSvc to access files currently in $PARAMFILESROOT, !3461 (@graven)
- ~Utilities | Add move constructor to SynchronizedValue, !3533 (@graven)

### Fixes ~"bug fix" ~workaround

- ~Decoding ~UT | Fix(UTDAQ): out of range access into m_bank, !3606 (@chasse) [#229]
- ~Core | HLTControlFlowMgr: create tbb::task_arena in start and check for existing arena, !3575 (@raaij)
- Fix race condition by adding a mutex to HltRawBankDecoderBase, !3615 (@chasse) [Moore#438]
- FTDAQ: Check whether the bank is empty before checking version, !3600 (@bcouturi)
- Check (and correct) for overflow of ExtraInfo first/last fields  during unpacking of Particle and ProtoParticle, !3567 (@graven) [#223]
- Missing LoKi functor fix for master, !3561 (@masmith)
- Cherry pick of MCAgls fix, !3559 (@masmith)


### Enhancements ~enhancement

- ~Calo | Support from BremAdder update, !3496 (@mveghel)
- ~Persistency | Add RegistryMapper to automate RegEntry management of ephemeral packed objects, !3525 (@graven)
- ~Core | Speed up resolution of control flow dependencies, !3523 (@rmatev) [#205]
- ~Conditions | Explicitly pass --git-dir as auto-discovery no longer works due to CVE-2022-24765, !3515 (@cburr) [CVE-2022]


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | PyConf.tonic: Nicer formatting of function objects, !3519 (@rmatev)
- ~Muon | Remove unused fields in MuonPIDs, !3547 (@decianm)
- ~Muon | Follow Detector!184, !3529 (@rmatev)
- ~Muon | Cleanup and modernization of Muon code, !3520 (@sponce)
- ~Muon | Fixed TSMap usage in Muon for DD4hep mode, !3511 (@sponce)
- ~RICH | Rich remove final use of DetDesc in DD4HEP builds, !3502 (@jonrob)
- ~Functors | Refactor(functors): remove obsolete header bookkeeping, !3601 (@chasse)
- ~Persistency | Followup to !3517: do not try to set  no longer existing property, !3532 (@graven)
- ~Persistency | Address #199 and fix Moore#422, !3524 (@graven) [#199,Moore#422]
- ~Persistency | Streamline HltPackedBuffer{Decoder,Writer}, !3517 (@graven)
- ~Build | Force no debug symbols for functor cache, !3580 (@rmatev) [Moore#427]
- Remove DetDesc tests with Run 1-2 DDDB, !3588 (@rmatev)
- Make Relations constructors from single size_t explicit, !3583 (@graven)
- Migrate SelReportsMaker from Rec to HltDAQ, !3546 (@graven)
- Remove obsolete code:  {Read,Write}PackedDst, PackedBank, !3535 (@graven)
- Fix mdfdump test, !3527 (@clemenci)
- Remove unused packer algorithms, !3526 (@graven)
- Remove redundant and harmful using DetDesc::DetectorElement statements, !3513 (@bcouturi)


### Other

- ~Configuration | Add OVERRIDE_LBEXEC_APP environment variable, !3612 (@cburr)
- ~Configuration | Add missing properties to LbExec.Options for LHCbDIRAC, !3608 (@cburr)
- ~Calo | Truncate digit energy resolution issue Rec#276, !3564 (@nuvallsc) [Rec#276]
- ~Calo | Modifications needed for the new Calo Digit MC linker, !3539 (@jmarchan)
- ~Calo | Remove CaloDAQ, !2977 (@jmarchan)
- ~Calo ~PID | Obsolete calo code cleanup, !3540 (@mveghel)
- ~RICH | TestDerivedDetObjects: Use static methods instead of strings to access condition keys, !3603 (@jonrob)
- ~RICH | Adapt to changes in RICH1 geometry in DD4HEP, !3598 (@jonrob)
- ~RICH | RichDetectors - Clean up base classes consolidating shared code, !3595 (@jonrob)
- ~RICH | RICH Workarounds for DD4HEP memory alignment bug, !3584 (@jonrob) [#226]
- ~Persistency | ProtoParticleUnpacker - Use top geometry location that supports correct location with dd4hep, !3573 (@jonrob) [#224]
- ~Tuples | Functionality added to reading such that HLT1 decisions can be accessed with FunTuple, !3562 (@jedavies)
- Lbexec enchancements, !3618 (@cburr)
- DeFTDetector - Fix typo in dd4hep location, !3617 (@jonrob)
- Add new raw data bank DAQ Error Type, !3613 (@gvouters)
- Dropped unused Calo2Dview, !3610 (@sponce)
- Made ChargedProtoAddInfo semi functional and dropped getDet call there, !3609 (@sponce)
- DD4hep condition error logging improvements, !3604 (@bcouturi)
- Modernized MuonDigitToRawBuffer, !3602 (@sponce)
- Small fix of the phoenix dump files, !3599 (@sponce)
- Revert "Merge branch 'sponce_fixPhoenixSink' into 'master'", !3597 (@sponce)
- Add helper class to abstract the difference between DetDesc DE* and DD4hep handles, !3596 (@clemenci)
- Add CatBoost to MuonID, !3594 (@rvazquez)
- View algorithm for looping over relation tables, !3593 (@tnanut)
- Allow PrimaryVertices to be filtered with ThOr functors, !3585 (@samarian)
- Small fix of the phoenix dump files, !3578 (@sponce)
- Add simd exp, !3577 (@sesen)
- Revert "Merge branch 'ahennequ_simdwrapper' into 'master'", !3576 (@sponce)
- Make the printout nicer when dumping the ProtoParticles content, !3574 (@decianm)
- Persistable Tracks_v3, !3571 (@ahennequ)
- Add some additional aliases to GenericConditionAccessorHolder.h, !3570 (@jonrob) [Rec#334]
- Add DD4hep/GrammarUnparsed header to UTDAQHelper, !3568 (@decianm)
- GeometryInfoPlus: Use mutex locks when updating mutable data members in 'const' methods, !3565 (@jonrob)
- Added way to override conditions from DD4hepSvc configuration, !3563 (@bcouturi)
- Add beamspot function to DeVP, !3554 (@wouter)
- Add ConditionAccessor::get() to access 'current' condition, !3553 (@clemenci)
- Make DeMuonDetector::Hit2ChamberRegionNumber const, !3551 (@bcouturi)
- Fix for ODIN loc, !3549 (@nskidmor)
- Ensure that derived conditions used in DetDesc comply to DD4hep requirements, !3544 (@clemenci)
- Make LHCb::UTDAQ::GeomCache default constructible, !3543 (@clemenci)
- Do not try to load geometry on start, !3542 (@clemenci)
- Fix segfault in routingbits tests, !3538 (@clemenci) [#218]
- Add simd exp, !3534 (@ahennequ)
- Pass the DeMagnet in the interface instead of using the MagneticFieldSvc, !3531 (@bcouturi)
- Revert "Merge branch 'MuonMergeGeoCond' into 'master'", !3522 (@clemenci)
- Turn off DetDesc configuration when using DD4hep, !3510 (@clemenci)
- UTclustering decoder, !3507 (@xuyuan)
- Added default values for mistag (0.5) and b flavour decision (0)., !3472 (@dtou)
- Add LbExec implementation, !3470 (@cburr) [#198]
- Add 2 new raw data bank TYPEs VeloThresholdScan and FTError + move all DAQError TYPEs to the TYPE list before LastType, !3435 (@gvouters)
